PHP5 已經推出一段時間,的確比 PHP4 有很多改進的地方,尤其以 OOP 更為明顯。但至今很多人也沒有將現有 PHP4 升級到 PHP5,很大程度上是因為這次不像 PHP3 升級到 PHP4 那般,幾乎所有程式也能繼續執行。如果將伺服器的 PHP 版本升級到 PHP5,很多舊有程式都會遇到問題。

這篇文章 — Running Apache2 With PHP5 And PHP4 At The Same Time 介紹在 Apache 2 裡面同時支援 PHP4 及 PHP5,原理是其中一個版本以 Apache module 安裝,另一個則用 CGI mode 安裝。以前也看過類似文章,而這篇是以 Debian 作為背景,並使用 apt-get 安裝。